<?php 

	$luzuk_wood_house_construction_custom_style = '';

	// Logo Size
	$luzuk_wood_house_construction_logo_top_padding = get_theme_mod('luzuk_wood_house_construction_logo_top_padding');
	$luzuk_wood_house_construction_logo_bottom_padding = get_theme_mod('luzuk_wood_house_construction_logo_bottom_padding');
	$luzuk_wood_house_construction_logo_left_padding = get_theme_mod('luzuk_wood_house_construction_logo_left_padding');
	$luzuk_wood_house_construction_logo_right_padding = get_theme_mod('luzuk_wood_house_construction_logo_right_padding');

	if( $luzuk_wood_house_construction_logo_top_padding != '' || $luzuk_wood_house_construction_logo_bottom_padding != '' || $luzuk_wood_house_construction_logo_left_padding != '' || $luzuk_wood_house_construction_logo_right_padding != ''){
		$luzuk_wood_house_construction_custom_style .=' .logo {';
			$luzuk_wood_house_construction_custom_style .=' padding-top: '.esc_attr($luzuk_wood_house_construction_logo_top_padding).'px; padding-bottom: '.esc_attr($luzuk_wood_house_construction_logo_bottom_padding).'px; padding-left: '.esc_attr($luzuk_wood_house_construction_logo_left_padding).'px; padding-right: '.esc_attr($luzuk_wood_house_construction_logo_right_padding).'px;';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_logo_size = get_theme_mod('luzuk_wood_house_construction_logo_size');
	if( $luzuk_wood_house_construction_logo_size != '') {
		if($luzuk_wood_house_construction_logo_size == 100) {
			$luzuk_wood_house_construction_custom_style .=' .custom-logo-link img {';
				$luzuk_wood_house_construction_custom_style .=' width: 350px;';
			$luzuk_wood_house_construction_custom_style .=' }';
		} else if($luzuk_wood_house_construction_logo_size >= 10 && $luzuk_wood_house_construction_logo_size < 100) {
			$luzuk_wood_house_construction_custom_style .=' .custom-logo-link img {';
				$luzuk_wood_house_construction_custom_style .=' width: '.esc_attr($luzuk_wood_house_construction_logo_size).'%;';
			$luzuk_wood_house_construction_custom_style .=' }';
		}
	}

	// Header Image
	$header_image_url = luzuk_wood_house_construction_banner_image( $image_url = '' );
	if( $header_image_url != ''){
		$luzuk_wood_house_construction_custom_style .=' #inner-pages-header {';
			$luzuk_wood_house_construction_custom_style .=' background-image: url('. esc_url( $header_image_url ).') !important; background-size: cover; background-repeat: no-repeat; background-attachment: fixed;';
		$luzuk_wood_house_construction_custom_style .=' }';

		$luzuk_wood_house_construction_custom_style .='  #header .top-head {';
			$luzuk_wood_house_construction_custom_style .=' background: #101828 ';
		$luzuk_wood_house_construction_custom_style .=' }';

	} else {
		$luzuk_wood_house_construction_custom_style .=' #inner-pages-header {';
			$luzuk_wood_house_construction_custom_style .=' background: radial-gradient(circle at center, rgba(0,0,0,0) 0%, #1C3434 100%); ';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_slider_hide_show = get_theme_mod('luzuk_wood_house_construction_slider_hide_show',false);
	if( $luzuk_wood_house_construction_slider_hide_show == true){
		$luzuk_wood_house_construction_custom_style .=' .page-template-custom-home-page #inner-pages-header {';
			$luzuk_wood_house_construction_custom_style .=' display:none;';
		$luzuk_wood_house_construction_custom_style .=' }';
	}


	$luzuk_wood_house_construction_headerbg_col = get_theme_mod('luzuk_wood_house_construction_headerbg_col');
	if ( $luzuk_wood_house_construction_headerbg_col != '') {
		$luzuk_wood_house_construction_custom_style .='#header .top-head {';
			$luzuk_wood_house_construction_custom_style .=' background:'.esc_attr($luzuk_wood_house_construction_headerbg_col).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_header_socialicon_col = get_theme_mod('luzuk_wood_house_construction_header_socialicon_col');
	if ( $luzuk_wood_house_construction_header_socialicon_col != '') {
		$luzuk_wood_house_construction_custom_style .='#header .s-media a i {';
			$luzuk_wood_house_construction_custom_style .=' color:'.esc_attr($luzuk_wood_house_construction_header_socialicon_col).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_header_socialiconhvr_col = get_theme_mod('luzuk_wood_house_construction_header_socialiconhvr_col');
	if ( $luzuk_wood_house_construction_header_socialiconhvr_col != '') {
		$luzuk_wood_house_construction_custom_style .='#header .s-media a:hover i {';
			$luzuk_wood_house_construction_custom_style .=' color:'.esc_attr($luzuk_wood_house_construction_header_socialiconhvr_col).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_header_mail_col = get_theme_mod('luzuk_wood_house_construction_header_mail_col');
	if ( $luzuk_wood_house_construction_header_mail_col != '') {
		$luzuk_wood_house_construction_custom_style .='#header .mailbx a,#header .mailbx i {';
			$luzuk_wood_house_construction_custom_style .=' color:'.esc_attr($luzuk_wood_house_construction_header_mail_col).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_header_mailhvr_col = get_theme_mod('luzuk_wood_house_construction_header_mailhvr_col');
	if ( $luzuk_wood_house_construction_header_mailhvr_col != '') {
		$luzuk_wood_house_construction_custom_style .='#header .mailbx a:hover {';
			$luzuk_wood_house_construction_custom_style .=' color:'.esc_attr($luzuk_wood_house_construction_header_mailhvr_col).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_header_address_col = get_theme_mod('luzuk_wood_house_construction_header_address_col');
	if ( $luzuk_wood_house_construction_header_address_col != '') {
		$luzuk_wood_house_construction_custom_style .='#header .address p {';
			$luzuk_wood_house_construction_custom_style .=' color:'.esc_attr($luzuk_wood_house_construction_header_address_col).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_header_contacttext_col = get_theme_mod('luzuk_wood_house_construction_header_contacttext_col');
	if ( $luzuk_wood_house_construction_header_contacttext_col != '') {
		$luzuk_wood_house_construction_custom_style .='#header .chlpbx a {';
			$luzuk_wood_house_construction_custom_style .=' color:'.esc_attr($luzuk_wood_house_construction_header_contacttext_col).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_header_contacttexthvr_col = get_theme_mod('luzuk_wood_house_construction_header_contacttexthvr_col');
	if ( $luzuk_wood_house_construction_header_contacttexthvr_col != '') {
		$luzuk_wood_house_construction_custom_style .='#header .chlpbx a:hover {';
			$luzuk_wood_house_construction_custom_style .=' color:'.esc_attr($luzuk_wood_house_construction_header_contacttexthvr_col).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_menu_color = get_theme_mod('luzuk_wood_house_construction_menu_color');
	if ( $luzuk_wood_house_construction_menu_color != '') {
		$luzuk_wood_house_construction_custom_style .=' .primary-menu a, .primary-menu li .icon{';
			$luzuk_wood_house_construction_custom_style .=' color:'.esc_attr($luzuk_wood_house_construction_menu_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_menuhover_color = get_theme_mod('luzuk_wood_house_construction_menuhover_color');
	if ( $luzuk_wood_house_construction_menuhover_color != '') {
		$luzuk_wood_house_construction_custom_style .='.primary-menu li.current-menu-item > a, .primary-menu li.current-menu-item > .link-icon-wrapper > a, .primary-menu li:hover .icon, .primary-menu li a:hover{';
			$luzuk_wood_house_construction_custom_style .=' color:'.esc_attr($luzuk_wood_house_construction_menuhover_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_submenu_color = get_theme_mod('luzuk_wood_house_construction_submenu_color');
	if ( $luzuk_wood_house_construction_submenu_color != '') {
		$luzuk_wood_house_construction_custom_style .='.primary-menu ul a{';
			$luzuk_wood_house_construction_custom_style .=' color:'.esc_attr($luzuk_wood_house_construction_submenu_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_submenubg_color = get_theme_mod('luzuk_wood_house_construction_submenubg_color');
	if ( $luzuk_wood_house_construction_submenubg_color != '') {
		$luzuk_wood_house_construction_custom_style .='.primary-menu ul{';
			$luzuk_wood_house_construction_custom_style .=' background:'.esc_attr($luzuk_wood_house_construction_submenubg_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_header_phonenum_color = get_theme_mod('luzuk_wood_house_construction_header_phonenum_color');
	if ( $luzuk_wood_house_construction_header_phonenum_color != '') {
		$luzuk_wood_house_construction_custom_style .='.headerbtn .phonenum {';
			$luzuk_wood_house_construction_custom_style .=' color:'.esc_attr($luzuk_wood_house_construction_header_phonenum_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_header_phonenumhovr_color = get_theme_mod('luzuk_wood_house_construction_header_phonenumhovr_color');
	if ( $luzuk_wood_house_construction_header_phonenumhovr_color != '') {
		$luzuk_wood_house_construction_custom_style .='.headerbtn .phonenum:hover {';
			$luzuk_wood_house_construction_custom_style .=' color:'.esc_attr($luzuk_wood_house_construction_header_phonenumhovr_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_header_btntext_color = get_theme_mod('luzuk_wood_house_construction_header_btntext_color');
	if ( $luzuk_wood_house_construction_header_btntext_color != '') {
		$luzuk_wood_house_construction_custom_style .=' .headerbtn .gsbtn {';
			$luzuk_wood_house_construction_custom_style .=' color:'.esc_attr($luzuk_wood_house_construction_header_btntext_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_header_btnbg1_color = get_theme_mod('luzuk_wood_house_construction_header_btnbg1_color');
	if ( $luzuk_wood_house_construction_header_btnbg1_color != '') {
		$luzuk_wood_house_construction_custom_style .=' .headerbtn .gsbtn {';
			$luzuk_wood_house_construction_custom_style .=' background:'.esc_attr($luzuk_wood_house_construction_header_btnbg1_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_header_btnbg1hvr_color = get_theme_mod('luzuk_wood_house_construction_header_btnbg1hvr_color');
	if ( $luzuk_wood_house_construction_header_btnbg1hvr_color != '') {
		$luzuk_wood_house_construction_custom_style .=' .headerbtn .gsbtn:hover {';
			$luzuk_wood_house_construction_custom_style .=' background:'.esc_attr($luzuk_wood_house_construction_header_btnbg1hvr_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}



	// banner

	$luzuk_wood_house_construction_bannertrustedby_color = get_theme_mod('luzuk_wood_house_construction_bannertrustedby_color');
	if ( $luzuk_wood_house_construction_bannertrustedby_color != '') {
		$luzuk_wood_house_construction_custom_style .=' #banner .sub-title {';
			$luzuk_wood_house_construction_custom_style .=' color:'.esc_attr($luzuk_wood_house_construction_bannertrustedby_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_bannertrustedbybg_color1 = get_theme_mod('luzuk_wood_house_construction_bannertrustedbybg_color1');
	$luzuk_wood_house_construction_bannertrustedbybg_color2 = get_theme_mod('luzuk_wood_house_construction_bannertrustedbybg_color2');

	if ( $luzuk_wood_house_construction_bannertrustedbybg_color1 != '') {
		$luzuk_wood_house_construction_custom_style .=' #banner .sub-title {';
			$luzuk_wood_house_construction_custom_style .=' background-image: linear-gradient(129deg, '.esc_attr($luzuk_wood_house_construction_bannertrustedbybg_color1).' 0%, '.esc_attr($luzuk_wood_house_construction_bannertrustedbybg_color2).' 84%);';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_bannerheading1_color = get_theme_mod('luzuk_wood_house_construction_bannerheading1_color');
	if ( $luzuk_wood_house_construction_bannerheading1_color != '') {
		$luzuk_wood_house_construction_custom_style .=' #banner h2 {';
			$luzuk_wood_house_construction_custom_style .=' color:'.esc_attr($luzuk_wood_house_construction_bannerheading1_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_bannerheading1_spancolor = get_theme_mod('luzuk_wood_house_construction_bannerheading1_spancolor');
	if ( $luzuk_wood_house_construction_bannerheading1_spancolor != '') {
		$luzuk_wood_house_construction_custom_style .=' #banner .content-boxinn h2 span {';
			$luzuk_wood_house_construction_custom_style .=' background-image:'.esc_attr($luzuk_wood_house_construction_bannerheading1_spancolor).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_bannerheading2_color = get_theme_mod('luzuk_wood_house_construction_bannerheading2_color');
	if ( $luzuk_wood_house_construction_bannerheading2_color != '') {
		$luzuk_wood_house_construction_custom_style .=' #banner .content-boxinn h3 {';
			$luzuk_wood_house_construction_custom_style .=' color:'.esc_attr($luzuk_wood_house_construction_bannerheading2_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_bannerheadingbrd_color = get_theme_mod('luzuk_wood_house_construction_bannerheadingbrd_color');
	if ( $luzuk_wood_house_construction_bannerheadingbrd_color != '') {
		$luzuk_wood_house_construction_custom_style .=' #banner .content-boxinn h3:after {';
			$luzuk_wood_house_construction_custom_style .=' background-image: linear-gradient(90deg, '.esc_attr($luzuk_wood_house_construction_bannerheadingbrd_color).' 12%, '.esc_attr($luzuk_wood_house_construction_bannerheadingbrd_color).' 33%);';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_bannerdescription_color = get_theme_mod('luzuk_wood_house_construction_bannerdescription_color');
	if ( $luzuk_wood_house_construction_bannerdescription_color != '') {
		$luzuk_wood_house_construction_custom_style .=' #banner .content-boxinn p {';
			$luzuk_wood_house_construction_custom_style .=' color:'.esc_attr($luzuk_wood_house_construction_bannerdescription_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_bannerbtntext_color = get_theme_mod('luzuk_wood_house_construction_bannerbtntext_color');
	if ( $luzuk_wood_house_construction_bannerbtntext_color != '') {
		$luzuk_wood_house_construction_custom_style .=' #banner .banner-btn a.bt1 {';
			$luzuk_wood_house_construction_custom_style .=' color:'.esc_attr($luzuk_wood_house_construction_bannerbtntext_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_bannerbtnbg1_color = get_theme_mod('luzuk_wood_house_construction_bannerbtnbg1_color');
	$luzuk_wood_house_construction_bannerbtnbg2_color = get_theme_mod('luzuk_wood_house_construction_bannerbtnbg2_color');
	if ( $luzuk_wood_house_construction_bannerbtnbg1_color != '') {
		$luzuk_wood_house_construction_custom_style .=' #banner .banner-btn a.bt1 {';
			$luzuk_wood_house_construction_custom_style .=' background-image: linear-gradient(90deg, '.esc_attr($luzuk_wood_house_construction_bannerbtnbg1_color).' 7%, '.esc_attr($luzuk_wood_house_construction_bannerbtnbg2_color).' 78%);';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_bannerscheduledemotext_color = get_theme_mod('luzuk_wood_house_construction_bannerscheduledemotext_color');
	if ( $luzuk_wood_house_construction_bannerscheduledemotext_color != '') {
		$luzuk_wood_house_construction_custom_style .=' #banner .banner-mail a {';
			$luzuk_wood_house_construction_custom_style .=' color:'.esc_attr($luzuk_wood_house_construction_bannerscheduledemotext_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_bannerscheduledemotexthvr_color = get_theme_mod('luzuk_wood_house_construction_bannerscheduledemotexthvr_color');
	if ( $luzuk_wood_house_construction_bannerscheduledemotexthvr_color != '') {
		$luzuk_wood_house_construction_custom_style .=' #banner .banner-mail a:hover {';
			$luzuk_wood_house_construction_custom_style .=' color:'.esc_attr($luzuk_wood_house_construction_bannerscheduledemotexthvr_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_banner_boxnumber_color = get_theme_mod('luzuk_wood_house_construction_banner_boxnumber_color');
	if ( $luzuk_wood_house_construction_banner_boxnumber_color != '') {
		$luzuk_wood_house_construction_custom_style .=' #banner .bann-num {';
			$luzuk_wood_house_construction_custom_style .=' color:'.esc_attr($luzuk_wood_house_construction_banner_boxnumber_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_banner_boxtext_color = get_theme_mod('luzuk_wood_house_construction_banner_boxtext_color');
	if ( $luzuk_wood_house_construction_banner_boxtext_color != '') {
		$luzuk_wood_house_construction_custom_style .=' #banner .bann-title {';
			$luzuk_wood_house_construction_custom_style .=' color:'.esc_attr($luzuk_wood_house_construction_banner_boxtext_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_banner_box1brd_color = get_theme_mod('luzuk_wood_house_construction_banner_box1brd_color');
	if ( $luzuk_wood_house_construction_banner_box1brd_color != '') {
		$luzuk_wood_house_construction_custom_style .=' #banner .bann-bx:nth-child(1) .bannsingle::before {';
			$luzuk_wood_house_construction_custom_style .=' color:'.esc_attr($luzuk_wood_house_construction_banner_box1brd_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_banner_box2brd_color = get_theme_mod('luzuk_wood_house_construction_banner_box2brd_color');
	if ( $luzuk_wood_house_construction_banner_box2brd_color != '') {
		$luzuk_wood_house_construction_custom_style .=' #banner .bann-bx:nth-child(2) .bannsingle:before {';
			$luzuk_wood_house_construction_custom_style .=' background-color:'.esc_attr($luzuk_wood_house_construction_banner_box2brd_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_banner_box3brd_color = get_theme_mod('luzuk_wood_house_construction_banner_box3brd_color');
	if ( $luzuk_wood_house_construction_banner_box3brd_color != '') {
		$luzuk_wood_house_construction_custom_style .=' #banner .bann-bx:nth-child(3) .bannsingle:before {';
			$luzuk_wood_house_construction_custom_style .=' background-color:'.esc_attr($luzuk_wood_house_construction_banner_box3brd_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_banner_formbuttontext_color = get_theme_mod('luzuk_wood_house_construction_banner_formbuttontext_color');
	if ( $luzuk_wood_house_construction_banner_formbuttontext_color != '') {
		$luzuk_wood_house_construction_custom_style .=' #banner .fmbx button {';
			$luzuk_wood_house_construction_custom_style .=' color:'.esc_attr($luzuk_wood_house_construction_banner_formbuttontext_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_banner_formbuttontext_color = get_theme_mod('luzuk_wood_house_construction_banner_formbuttontext_color');
	if ( $luzuk_wood_house_construction_banner_formbuttontext_color != '') {
		$luzuk_wood_house_construction_custom_style .=' #banner .fmbx button,#banner .fmbx button i {';
			$luzuk_wood_house_construction_custom_style .=' color:'.esc_attr($luzuk_wood_house_construction_banner_formbuttontext_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_banner_formbuttonbg1_color = get_theme_mod('luzuk_wood_house_construction_banner_formbuttonbg1_color');
	$luzuk_wood_house_construction_banner_formbuttonbg2_color = get_theme_mod('luzuk_wood_house_construction_banner_formbuttonbg2_color');

	if ( $luzuk_wood_house_construction_banner_formbuttonbg1_color != '') {
		$luzuk_wood_house_construction_custom_style .=' #banner .fmbx button {';
			$luzuk_wood_house_construction_custom_style .=' background-image: linear-gradient(129deg, '.esc_attr($luzuk_wood_house_construction_banner_formbuttonbg1_color).' 0%, '.esc_attr($luzuk_wood_house_construction_banner_formbuttonbg2_color).' 84%);';
		$luzuk_wood_house_construction_custom_style .=' }';
	}


	// features

	$luzuk_wood_house_construction_features_subheading_color = get_theme_mod('luzuk_wood_house_construction_features_subheading_color');
	if ( $luzuk_wood_house_construction_features_subheading_color != '') {
		$luzuk_wood_house_construction_custom_style .=' #features-section .features-head h3 {';
			$luzuk_wood_house_construction_custom_style .=' color:'.esc_attr($luzuk_wood_house_construction_features_subheading_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_features_subheadingbg_color = get_theme_mod('luzuk_wood_house_construction_features_subheadingbg_color');
	if ( $luzuk_wood_house_construction_features_subheadingbg_color != '') {
		$luzuk_wood_house_construction_custom_style .=' #features-section .features-head h3 {';
			$luzuk_wood_house_construction_custom_style .=' background:'.esc_attr($luzuk_wood_house_construction_features_subheadingbg_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_features_heading_color = get_theme_mod('luzuk_wood_house_construction_features_heading_color');
	if ( $luzuk_wood_house_construction_features_heading_color != '') {
		$luzuk_wood_house_construction_custom_style .=' #features-section .features-head h2 {';
			$luzuk_wood_house_construction_custom_style .=' color:'.esc_attr($luzuk_wood_house_construction_features_heading_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_features_description_color = get_theme_mod('luzuk_wood_house_construction_features_description_color');
	if ( $luzuk_wood_house_construction_features_description_color != '') {
		$luzuk_wood_house_construction_custom_style .=' #features-section .features-head .description {';
			$luzuk_wood_house_construction_custom_style .=' color:'.esc_attr($luzuk_wood_house_construction_features_description_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_features_boxbg_color = get_theme_mod('luzuk_wood_house_construction_features_boxbg_color');
	if ( $luzuk_wood_house_construction_features_boxbg_color != '') {
		$luzuk_wood_house_construction_custom_style .=' #features-section .boxinn {';
			$luzuk_wood_house_construction_custom_style .=' background:'.esc_attr($luzuk_wood_house_construction_features_boxbg_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_features_boxheading_color = get_theme_mod('luzuk_wood_house_construction_features_boxheading_color');
	if ( $luzuk_wood_house_construction_features_boxheading_color != '') {
		$luzuk_wood_house_construction_custom_style .=' #features-section .box h2 {';
			$luzuk_wood_house_construction_custom_style .=' color:'.esc_attr($luzuk_wood_house_construction_features_boxheading_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_features_boxicon_color = get_theme_mod('luzuk_wood_house_construction_features_boxicon_color');
	if ( $luzuk_wood_house_construction_features_boxicon_color != '') {
		$luzuk_wood_house_construction_custom_style .=' #features-section .box .boxinn .icnbx i {';
			$luzuk_wood_house_construction_custom_style .=' color:'.esc_attr($luzuk_wood_house_construction_features_boxicon_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_features_boxiconbg_color = get_theme_mod('luzuk_wood_house_construction_features_boxiconbg_color');
	if ( $luzuk_wood_house_construction_features_boxiconbg_color != '') {
		$luzuk_wood_house_construction_custom_style .=' #features-section .icnbx {';
			$luzuk_wood_house_construction_custom_style .=' background:'.esc_attr($luzuk_wood_house_construction_features_boxiconbg_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}


	//site title tagline
	$luzuk_wood_house_construction_site_title_color = get_theme_mod('luzuk_wood_house_construction_site_title_color');
	if ( $luzuk_wood_house_construction_site_title_color != '') {
		$luzuk_wood_house_construction_custom_style .=' h1.site-title a, p.site-title a{';
			$luzuk_wood_house_construction_custom_style .=' color:'.esc_attr($luzuk_wood_house_construction_site_title_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_site_tagline_color = get_theme_mod('luzuk_wood_house_construction_site_tagline_color');
	if ( $luzuk_wood_house_construction_site_tagline_color != '') {
		$luzuk_wood_house_construction_custom_style .=' p.site-description{';
			$luzuk_wood_house_construction_custom_style .=' color:'.esc_attr($luzuk_wood_house_construction_site_tagline_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	//layout width
	$luzuk_wood_house_construction_boxfull_width = get_theme_mod('luzuk_wood_house_construction_boxfull_width');
	if ($luzuk_wood_house_construction_boxfull_width !== '') {
		switch ($luzuk_wood_house_construction_boxfull_width) {
			case 'container':
				$luzuk_wood_house_construction_custom_style .= ' body, #header, .bottom-header {
					max-width: 1140px;
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
				break;
			case 'container-fluid':
				$luzuk_wood_house_construction_custom_style .= ' body, #header, .bottom-header { 
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
				break;
			case 'none':
				// No specific width specified, so no additional style needed.
				break;
			default:
				// Handle unexpected values.
				break;
		}
	}

	//Menu animation
	$luzuk_wood_house_construction_dropdown_anim = get_theme_mod('luzuk_wood_house_construction_dropdown_anim');

	if ( $luzuk_wood_house_construction_dropdown_anim != '') {
		$luzuk_wood_house_construction_custom_style .=' .primary-menu ul{';
			$luzuk_wood_house_construction_custom_style .=' animation:'.esc_attr($luzuk_wood_house_construction_dropdown_anim).' 1s ease;';
		$luzuk_wood_house_construction_custom_style .=' }';
	}


	//services colors

	$luzuk_wood_house_construction_services_subheading_color = get_theme_mod('luzuk_wood_house_construction_services_subheading_color');
	if ( $luzuk_wood_house_construction_services_subheading_color != '') {
		$luzuk_wood_house_construction_custom_style .=' #services-section .head h3 {';
			$luzuk_wood_house_construction_custom_style .=' color:'.esc_attr($luzuk_wood_house_construction_services_subheading_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_services_subheadingbg_color = get_theme_mod('luzuk_wood_house_construction_services_subheadingbg_color');
	if ( $luzuk_wood_house_construction_services_subheadingbg_color != '') {
		$luzuk_wood_house_construction_custom_style .=' #services-section .head h3 {';
			$luzuk_wood_house_construction_custom_style .=' background:'.esc_attr($luzuk_wood_house_construction_services_subheadingbg_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_services_heading_color = get_theme_mod('luzuk_wood_house_construction_services_heading_color');
	if ( $luzuk_wood_house_construction_services_heading_color != '') {
		$luzuk_wood_house_construction_custom_style .=' #services-section .head h2 {';
			$luzuk_wood_house_construction_custom_style .=' color:'.esc_attr($luzuk_wood_house_construction_services_heading_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_services_headdescription_color = get_theme_mod('luzuk_wood_house_construction_services_headdescription_color');
	if ( $luzuk_wood_house_construction_services_headdescription_color != '') {
		$luzuk_wood_house_construction_custom_style .='#services-section .head p {';
			$luzuk_wood_house_construction_custom_style .=' color:'.esc_attr($luzuk_wood_house_construction_services_headdescription_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_services_boxheading_color = get_theme_mod('luzuk_wood_house_construction_services_boxheading_color');
	if ( $luzuk_wood_house_construction_services_boxheading_color != '') {
		$luzuk_wood_house_construction_custom_style .='#services-section .serbxinn h4 {';
			$luzuk_wood_house_construction_custom_style .=' color:'.esc_attr($luzuk_wood_house_construction_services_boxheading_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_services_boxdescription_color = get_theme_mod('luzuk_wood_house_construction_services_boxdescription_color');
	if ( $luzuk_wood_house_construction_services_boxdescription_color != '') {
		$luzuk_wood_house_construction_custom_style .='#services-section .serbxinn p {';
			$luzuk_wood_house_construction_custom_style .=' color:'.esc_attr($luzuk_wood_house_construction_services_boxdescription_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_services_boxsubtitle_color = get_theme_mod('luzuk_wood_house_construction_services_boxsubtitle_color');
	if ( $luzuk_wood_house_construction_services_boxsubtitle_color != '') {
		$luzuk_wood_house_construction_custom_style .='#services-section .ser-tag {';
			$luzuk_wood_house_construction_custom_style .=' color:'.esc_attr($luzuk_wood_house_construction_services_boxsubtitle_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_services_boxicon_color = get_theme_mod('luzuk_wood_house_construction_services_boxicon_color');
	if ( $luzuk_wood_house_construction_services_boxicon_color != '') {
		$luzuk_wood_house_construction_custom_style .='#services-section .icnbx i {';
			$luzuk_wood_house_construction_custom_style .=' color:'.esc_attr($luzuk_wood_house_construction_services_boxicon_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_services_boxiconbg_color = get_theme_mod('luzuk_wood_house_construction_services_boxiconbg_color');
	if ( $luzuk_wood_house_construction_services_boxiconbg_color != '') {
		$luzuk_wood_house_construction_custom_style .='#services-section .icnbx i {';
			$luzuk_wood_house_construction_custom_style .=' background:'.esc_attr($luzuk_wood_house_construction_services_boxiconbg_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_services_boxbtntext_color = get_theme_mod('luzuk_wood_house_construction_services_boxbtntext_color');
	if ( $luzuk_wood_house_construction_services_boxbtntext_color != '') {
		$luzuk_wood_house_construction_custom_style .='#services-section .bttn a {';
			$luzuk_wood_house_construction_custom_style .=' color:'.esc_attr($luzuk_wood_house_construction_services_boxbtntext_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_services_boxbtnbg_color = get_theme_mod('luzuk_wood_house_construction_services_boxbtnbg_color');
	if ( $luzuk_wood_house_construction_services_boxbtnbg_color != '') {
		$luzuk_wood_house_construction_custom_style .='#services-section .bttn a {';
			$luzuk_wood_house_construction_custom_style .=' background:'.esc_attr($luzuk_wood_house_construction_services_boxbtnbg_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_services_btnbghvr_color = get_theme_mod('luzuk_wood_house_construction_services_btnbghvr_color');
	if ( $luzuk_wood_house_construction_services_btnbghvr_color != '') {
		$luzuk_wood_house_construction_custom_style .='#services-section .bttn a:hover {';
			$luzuk_wood_house_construction_custom_style .=' background:'.esc_attr($luzuk_wood_house_construction_services_btnbghvr_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}


	//footer colors
	$luzuk_wood_house_construction_footertext_color = get_theme_mod('luzuk_wood_house_construction_footertext_color');
	if ( $luzuk_wood_house_construction_footertext_color != '') {
		$luzuk_wood_house_construction_custom_style .=' #colophon h1, #colophon h2, #colophon h3, #colophon h4, #colophon h5,
		 #colophon h6,#colophon,#colophon p,.site-footer a, .site-footer p, #colophon caption, .site-footer .widget_rss .rss-date,
		  .site-footer .widget_rss li cite {';
			$luzuk_wood_house_construction_custom_style .=' color: '.esc_attr($luzuk_wood_house_construction_footertext_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}	

	$luzuk_wood_house_construction_footeractivemenu_color = get_theme_mod('luzuk_wood_house_construction_footeractivemenu_color');
	if ( $luzuk_wood_house_construction_footeractivemenu_color != '') {
		$luzuk_wood_house_construction_custom_style .=' .site-footer .current-menu-item a {';
			$luzuk_wood_house_construction_custom_style .=' color: '.esc_attr($luzuk_wood_house_construction_footeractivemenu_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}	

	$luzuk_wood_house_construction_footercopyright_color = get_theme_mod('luzuk_wood_house_construction_footercopyright_color');
	if ( $luzuk_wood_house_construction_footercopyright_color != '') {
		$luzuk_wood_house_construction_custom_style .=' #colophon .site-info p {';
			$luzuk_wood_house_construction_custom_style .=' color: '.esc_attr($luzuk_wood_house_construction_footercopyright_color).' !important;';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_footercopyrightbrd_color = get_theme_mod('luzuk_wood_house_construction_footercopyrightbrd_color');
	if ( $luzuk_wood_house_construction_footercopyrightbrd_color != '') {
		$luzuk_wood_house_construction_custom_style .=' .copyright {';
			$luzuk_wood_house_construction_custom_style .=' border-color: '.esc_attr($luzuk_wood_house_construction_footercopyrightbrd_color).' !important;';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_footerbg_color = get_theme_mod('luzuk_wood_house_construction_footerbg_color');
	if ( $luzuk_wood_house_construction_footerbg_color != '') {
		$luzuk_wood_house_construction_custom_style .=' #colophon {';
			$luzuk_wood_house_construction_custom_style .=' background-color: '.esc_attr($luzuk_wood_house_construction_footerbg_color).' !important;';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_footerscrolltotoptext_color = get_theme_mod('luzuk_wood_house_construction_footerscrolltotoptext_color');
	if ( $luzuk_wood_house_construction_footerscrolltotoptext_color != '') {
		$luzuk_wood_house_construction_custom_style .=' .back-to-top-text {';
			$luzuk_wood_house_construction_custom_style .=' color: '.esc_attr($luzuk_wood_house_construction_footerscrolltotoptext_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_footerscrolltotopbg_color = get_theme_mod('luzuk_wood_house_construction_footerscrolltotopbg_color');
	if ( $luzuk_wood_house_construction_footerscrolltotopbg_color != '') {
		$luzuk_wood_house_construction_custom_style .=' .back-to-top {';
			$luzuk_wood_house_construction_custom_style .=' background: '.esc_attr($luzuk_wood_house_construction_footerscrolltotopbg_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_footerscrolltotoptexthover_color = get_theme_mod('luzuk_wood_house_construction_footerscrolltotoptexthover_color');
	if ( $luzuk_wood_house_construction_footerscrolltotoptexthover_color != '') {
		$luzuk_wood_house_construction_custom_style .=' .back-to-top:hover .back-to-top-text {';
			$luzuk_wood_house_construction_custom_style .=' color: '.esc_attr($luzuk_wood_house_construction_footerscrolltotoptexthover_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}

	$luzuk_wood_house_construction_footerscrolltotophover_color = get_theme_mod('luzuk_wood_house_construction_footerscrolltotophover_color');
	if ( $luzuk_wood_house_construction_footerscrolltotophover_color != '') {
		$luzuk_wood_house_construction_custom_style .=' .back-to-top:hover::after {';
			$luzuk_wood_house_construction_custom_style .=' background: '.esc_attr($luzuk_wood_house_construction_footerscrolltotophover_color).';';
		$luzuk_wood_house_construction_custom_style .=' }';
	}